Bug 426512 - Alpine 1.00 for F7 puts default pine.conf in mystery directory; cannot find it, so one cannot change it
Alpine 1.00 for F7 puts default pine.conf in mystery directory; cannot find i...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: alpine (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 11:48 EST by Gilbert Sebenste
Modified: 2008-01-02 20:46 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.00-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 20:27:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gilbert Sebenste 2007-12-21 11:48:32 EST
Description of problem: Alpine pine.conf file is hidden somewhere; it should be
either /etc/pine.conf or /usr/local/etc/pine.conf. It is neither and there is no
way to find out where the file is that it is actually using.


Version-Release number of selected component (if applicable): 1.00


How reproducible: Always


Steps to Reproduce:
1. Alpine 1.00 uses a default pine.conf that is empty. But where it lies
(the one that it uses), is one of life's greatest mysteries. :-)
2.
3.
  
Actual results: Default pine.conf leaves configurations blank,
so I can't print, point at nntp server, etc.


Expected results: I should be able to do this.


Additional info: Where, or where has my pine.conf gone, oh where, oh where can
it be?
Comment 1 Gilbert Sebenste 2007-12-21 11:56:05 EST
Aha! Figured it out. Duh...when I type pine -conf, it says it is in /usr/lib.
But when I go there, I don't see a file. But when I soft-link pine.conf in  my
/usr/local/etc file to /usr/lib, bingo! All is well. So we either need:

1. A default pine.conf in /usr/lib, or
2. We need to point pine to look in /usr/local/etc, or /etc for it.

Comment 2 Rex Dieter 2007-12-21 12:03:00 EST
/etc/pine.conf 
should work (it does for me, last time I tried).

I'll go confirm using this build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=28862

/etc/pine.conf seems to work, but /etc/pine.conf.fixed doesn't.

I'll keep digging.
Comment 3 Rex Dieter 2007-12-21 12:06:57 EST
confirmed, fix coming right up.
Comment 4 Rex Dieter 2007-12-21 12:15:03 EST
%changelog
* Fri Dec 22 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.00-2
- --with-system-pinerc=%_sysconfdir/pine.conf
  --with-system-fixed-pinerc=%_sysconfdir/pine.conf.fixed (#426512)

btw, %_sysconfdir = /etc
Comment 5 Gilbert Sebenste 2007-12-21 12:41:20 EST
Yes, but I had a pine.conf in my /etc directory, and it still didn't
pick it up. Oh well.

OK, downloaded and installed it. Yep, fixed. +1 to updates and I'll close this 
ticket.
Comment 6 Fedora Update System 2007-12-23 17:50:25 EST
alpine-1.00-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alpine'
Comment 7 Fedora Update System 2007-12-23 17:50:48 EST
alpine-1.00-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alpine'
Comment 8 Fedora Update System 2007-12-26 18:51:59 EST
alpine-1.00-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alpine'
Comment 9 Fedora Update System 2007-12-26 18:52:42 EST
alpine-1.00-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alpine'
Comment 10 Fedora Update System 2008-01-02 20:27:57 EST
alpine-1.00-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-01-02 20:46:29 EST
alpine-1.00-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.